#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gpgme
Version		:	1.23.1
Release		:	16.2.0.rel%{?dist}
Summary		:	GnuPG Made Easy - high level crypto API

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gnupg.org/related_software/gpgme/
			#https://gnupg.org/ftp/gcrypt/gpgme

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	gnupg
BuildRequires	:	swig
#-----------------------------------------------------------------------------
%description
The GPGME package is a C library that allows cryptography
support to be added to a program. It is designed to make
access to public key crypto engines like GnuPG or GpgSM
easier for applications. GPGME provides a high-level
crypto API for encryption, decryption, signing, signature
verification and key management.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}-*
%{_includedir}/%{name}.h
%{_includedir}/%{name}++/*.h
%{_includedir}/%{name}++/*/*.h
%{_libdir}/cmake/Gpgme*/*.cmake
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/common-lisp/source/%{name}/%{name}.*
%{_datadir}/common-lisp/source/%{name}/%{name}-package.lisp
%{_datadir}/common-lisp/source/%{name}/%{name}-grovel.lisp
%{_datadir}/aclocal/%{name}.m4
%{_infodir}/%{name}.info*.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh

sed -e 's/3\.8/3.10/'					\
    -e 's/:3/:4/'					\
    -i configure

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--enable-languages="cl,cpp"			\
	--disable-silent-rules				\
	--disable-static				\
	--disable-gpg-test				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#removing unwanted directory
%{__rm}  %{buildroot}/%{_datadir}/info/dir

# removing python2.7 information
%{__rm}  -fr %{buildroot}%{_libdir}/python2.7

#-----------------------------------------------------------------------------
%changelog
